#
# spec file for package antsd (Version 0.4.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         antsd
Summary:      ANTS Load Balancing System
Version:      0.4.10
Release:      83
Copyright: GPL
Group: Applications/Clustering
Url: http://unthought.net/antsd/
Source: http://unthought.net/antsd/antsd-%{version}.tar.gz
Patch:  antsd-%{version}.dif
BuildRoot: %{_tmppath}/%{name}-buildroot/

%description
The ANTS Load Balancing System is a piece of software that will allow jobs to be executed on computers connected in a network (eg. a Beowulf). The node best suited (at the time of execution) for the job given, will be chosen to execute the job.
This is an approach different from that of traditional Queue systems. A job is not queued, it is executed immediately if any suitable host (for the given job type) can be found. This makes the system suitable for execution of a large number of small jobs, such as compilers. A traditional queue system will often take up too much time managing it's queues, to allow tasks such as large-scale compilations to gain much speedup using it.

Authors:
--------
    Jakob stergaard <jakob@unthought.net>

SuSE series: beo

%prep
%setup
%patch
./configure

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/CORBA/servers
mkdir -p $RPM_BUILD_ROOT/usr/share/applets/Monitors
install -m 755 src/antsd $RPM_BUILD_ROOT/usr/sbin
install -m 755 src/rant  $RPM_BUILD_ROOT/usr/bin
#install -m 755 src/gants_applet $RPM_BUILD_ROOT/usr/bin
#install -m 644 gants.gnorba $RPM_BUILD_ROOT/etc/CORBA/servers
#install -m 644 gants.desktop $RPM_BUILD_ROOT/usr/share/applets/Monitors
echo "[jobtype] [max_instances] [preferred_instances] [max_memory]" > $RPM_BUILD_ROOT/etc/antsd.conf
chmod 600 $RPM_BUILD_ROOT/etc/antsd.conf
echo -e "host1\nhost2\n..." > $RPM_BUILD_ROOT/etc/antsd.hosts
chmod 600 $RPM_BUILD_ROOT/etc/antsd.hosts
install -m 755 antsd.SuSE $RPM_BUILD_ROOT/etc/init.d/antsd
ln -sf ../../etc/init.d/antsd $RPM_BUILD_ROOT/usr/sbin/rcantsd
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 rc.config.antsd $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.antsd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.antsd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.antsd and update by
hand."
fi
sbin/insserv etc/init.d/antsd

%postun
sbin/insserv etc/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING
/usr/sbin/antsd
/usr/bin/rant
%config /etc/antsd.conf
%config /etc/antsd.hosts
/etc/init.d/antsd
/usr/sbin/rcantsd
#/usr/bin/gants_applet
#/etc/CORBA/servers/gants.gnorba
#/usr/share/applets/Monitors
/var/adm/fillup-templates/rc.config.antsd

%changelog -n antsd
* Wed Mar 14 2001 - nashif@suse.de
- Initial Release (Version 0.4.10)
